node 7 以上在win10上面无法运行
发布于 7 年前 作者 Johnnyoung 4996 次浏览 来自 问答

如题!翻了半天社区里面没有发现有人提这个问题 莫不是大家都用mac、linux开发nodeQQ截图20170702214311.png

15 回复

Windows 下有两个版本 32-bit 64-bit

尽量别用win

表示win 10 运行的是 node8

win10 node8正常

npm安装模块都运行成功了… image.png 你确定那个错误是运行node -v时的错误码。。

@CRAZYFAKE 我用 6.9.1装的 切换到7.7.4报的这个错

@helone 我装的就是64-bit 系统也是64位的

我安的8.1.3 没问题

表示8.1.3毫无压力

…windows环境下还能切换node版本呢o(╯□╰)o

来自酷炫的 CNodeMD

@ZKZonhastic 切换版本 跟环境没关系吧o(╯□╰)o

@Johnnyoung 虽然我没用过,不过…

Note nvm does not supporT Windows (see #284). Two alternatives exist, which are neither supported nor developed by us

  • nvm-windows
  • nodist

来自酷炫的 CNodeMD

win10 , 4,5,6,8 都一切正常。

@atian25 谢谢~不过楼主看起来用的是nvm——

来自酷炫的 CNodeMD

回到顶部